<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Default.aspx.vb" Inherits="SampleVB._Default"%>
<%@ Register tagprefix="Upload" Namespace="Kaktus.Upload" Assembly="Upload" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> 

<html>
<head>

<title>Test upload</title>

<style type="text/css" media="screen">

body
{
	margin: 0px;
}

body, td
{
	font-family: Verdana, Helvetica, sans-serif;
	font-size: 8pt;
}

div#title
{
	background-color: #148;
	padding: 15px;
}

span#title-big
{
	font-family: Arial Black, Arial, Helvetica, sans-serif;
	font-size: 18pt;
	color: #6af;
}

span#title-small
{
	font-family: Arial, Helvetica, sans-serif;
	font-size: 18pt;
	color: white;
}

div#subtitle
{
	padding-left: 15px;
	padding-top: 5px;
	padding-bottom: 5px;
	color: #36B;
	background-color: #eee;
	border-bottom: 2px solid #ccc;
}

div#frm
{
	border: 2px solid #ccc;
	margin-top: 20px;
	margin-left: 50px;
	margin-right: 50px;
	background-color: #eee;
	padding-bottom: 20px;
}

div.fld
{
	margin-left: 20px;
	margin-right: 20px;
	padding: 5px;
	background-color: #ccc;
}

p
{
	margin-bottom: 10px;
	margin-top: 10px;
	margin-left: 20px;
	margin-right: 20px;
}

div.sec-title
{
	padding-top: 20px;
	margin-left: 20px;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 16pt;
	font-weight: normal;
	color: #36B;
}

td.fld
{
	padding-right: 10px;
	color: #36B;
}

</style>

</head>
<body>
<form method="post" runat="server" enctype="multipart/form-data" ID="Form1">

	<div id="title">
		<span id="title-big">ASP.Upload component</span>
		<span id="title-small">&nbsp;demo page</span>
	</div>
	<div id="subtitle">ASP.NET Upload by KAKTUS Software</div>
	
	<div id="frm">
	
		<div class="sec-title">1. Select file to upload</div>
		
		<p>To make it as easy as possible to get your email design into Campaign Monitor, you can simply upload the design to a web server, enter the  URL and your entire campaign will be imported to the Campaign Monitor server.</p>
	
		<div class="fld">
			<table border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="10"></td>
				<td>File to upload</td>
				<td width="10"></td>
				<td><input size="50" type="file" name="my"></td>
			</tr>
			</table>
		</div>
		
		<p><Upload:Button Text="Upload file to server" runat="server" ID="submit_btn"/></p>
		
		<asp:Panel Runat="server" Visible="False" ID="result">
		
			<div class="sec-title" style="margin-top: 15px; border-top: 2px solid #ccc;">2. Uploaded file</div>
			
			<p>The selected file was uploaded to the server. Here is some info about the file.</p>

			<table border="0" runat="server" visible="true" id="vysledek" style="margin-left: 20px;">
			<tr>
				<td class="fld">Uploaded file:</td>
				<td><asp:Label ID="file_name" Runat="server" /></td>
			</tr>
			<tr>
				<td class="fld">File size:</td>
				<td><asp:Label ID="file_size" Runat="server" /></td>
			</tr>
			<tr>
				<td class="fld">Average upload speed:</td>
				<td><asp:Label ID="avg_speed" Runat="server" /></td>
			</tr>
			<tr>
				<td class="fld">Total time taken:</td>
				<td><asp:Label ID="total_time" Runat="server" /></td>
			</tr>
			</table>
		
			<p><input type="button" onClick="location.href = 'Default.aspx'" value="Start again" /></p>

		</asp:Panel>
		
	</div>

</form>
</body>
</html>